import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"operate.pmh",
				"ManipulatorCommon",
				"OperateCommon",
				"OperatorState",
				"OperatorSurfaceCommon",
				"OperatorThreaded",
				"operateDL" ]

	dll = module.DLL( "fexOperateDL", srcList )

	deplibs = forge.corelibs+ [
				"fexMathLib",
				"fexThreadDLLib",
				"fexSurfaceDLLib",
				"fexWindowLib"	]

	forge.deps( ["fexOperateDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexOperateDL",					None,	None) ]
